	Алгебра Жегалкина. Свойства операции ⊕. Полиномы Жегалкина. Единственность полинома Жегалкина.

# **Алгебра Жегалкина**
\- алгебраическая система для описания логических функций
   1. Используются константы, конъюнкция и Сумма по модулю 2
   2. Нет отрицания
   3. $<\{0,1\},\{\oplus,\wedge,0,1\}>$ - поле наименьшего размера

# Свойства $\oplus$:
- $x\oplus 0 = x$
- $x \oplus x = 0$, $x \oplus \bar x = 1$
- **Коммутативность**: $x \oplus y = y \oplus x$
- **Ассоциативность**: $(x \oplus y) \oplus z = x \oplus (y \oplus z)$
- **Дистрибутивность**: $x \cdot (y \oplus z) = x \cdot y \oplus x \cdot z$
- Уравнение $x \oplus a = b$ имеет единственное решение $x = a \oplus b$

# Полином Жегалкина
   1. Нет скобок
   2. Нет одинаковых слагаемых
   3. Одним из слагаемых может быть 1
   4. 0 - полином, но не слагаемое

# Единственность полинома Жегалкина
###### Теорема.
Для любой логической функции существует единственный представляющий её полином.

###### Доказательство:
f - логическая функция
P(f) - её полином

- f представляется булевой функцией (например, [[1 курс/2 семестр/Дискретка/Билеты/3#Совершенные ДНФ и КНФ|СДНФ]])
- В формуле заменяется каждое отрицание ($\bar x = x \oplus 1$) и дизъюнкция ($x \vee y = xy \oplus x \oplus y$)
- Раскрываются скобки, применяя дистрибутивный закон
- Каждая конкатенация превращается в элементарную конъюнкцию ($x \cdot x = x$)
- Одинаковые слагаемые отпадают ($x \oplus x = 0$)

Каждое слагаемое в полиноме имеет вид $x_{i_1}, x_{i_2}, \dots, x_{i_k}$ или 1. Каждая конъюнкция определяется подмножеством $\{i_1, i_2, \dots, i_k\}$ или $\varnothing$ множества $\{1, 2, \dots, n\}$. Следовательно, множество всех слагаемых содержит $2^n$ элементов

Для составления полинома требуется выбрать одно из $2^{2^n}$ подмножеств множества всех возможных слагаемых - полинома от переменных $x_1, x_2, \dots, x_n$. Столько же и функций от таких переменных, так что для каждой функции f существует представляющий её полином, и число функций = число полиномов, поэтому P - биекция. А значит, одного полинома хватает только для одной функции
   